import request from "@/utils/request";
import { AxiosPromise } from "axios";

/**
 * 获取登录日志分页
 * @param queryParams
 */
export function queryPlanPage(
  queryParams: object
): AxiosPromise<PageResult<any[]>> {
  return request({
    url: "/api/v1/wms/check/page",
    method: "post",
    data: queryParams,
  });
}
export function deleteCheckPlan(
    queryParams: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/wms/check/del",
    method: "post",
    data: queryParams,
  });
}
export function saveCheckPlan(
    queryParams: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/wms/check/add",
    method: "post",
    data: queryParams,
  });
}
export function queryByTaskNo(
    taskNo: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/wms/check/queryByTaskNo/"+ taskNo,
    method: "get",
  });
}

export function saveDetails(
    queryParams: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/wms/check/saveDetails",
    method: "post",
    data: queryParams,
  });
}
export function auditPlan(
    queryParams: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/wms/check/audit",
    method: "post",
    data: queryParams,
  });
}

export function syncPositionVehicle(
    queryParams: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/stock/syncWcs",
    method: "post",
    data: queryParams,
  });
}
